tide(1)

NAME
tide - Harmonic tide clock and tide predictor (command line client)

SYNOPSIS
tide [-b ``YYYY-MM-DD HH:MM''] [-e ``YYYY-MM-DD HH:MM''] [-f c|h|i|p|t] [-l ``location name''] [-m a|b|c|C|g|l|m|p|r|s] [-o ``filename''] [-s ``HH:MM''] [-v]

DESCRIPTION
XTide is a package that provides tide and current predictions in a wide variety of formats. Graphs, text listings, and calendars can be generated, or a tide clock can be provided on your desktop.

XTide can work with X-windows, plain text terminals, or the web. This is accomplished with three separate programs: the interactive interface (xtide), the non-interactive or command line interface (tide), and the web interface (xttpd).

tide is the non-interactive command line client for XTide 2. Only the most important switches are documented here. For a complete discussion, please see the verbose documentation at http://www.flaterco.com/xtide/.

CONFIGURATION
Unless a configuration file /etc/xtide.conf is supplied, you must set the environment variable HFILE_PATH to point to the harmonics files that should have been installed along with the xtide program. Example:
    export HFILE_PATH=/usr/local/share/xtide/harmonics.tcd
If a configuration file is used, the first line should consist of the colon-separated list of harmonics files (e.g. the HFILE_PATH line above without the "export HFILE_PATH=" part). The environment variable takes precedence over the configuration file.

Set the environment variable XTIDE_DEFAULT_LOCATION to the name of your favorite place if you want to skip the location-choosing step.

OPTIONS

-b ``YYYY-MM-DD HH:MM''
    Specify the begin (start) time for predictions.

-e ``YYYY-MM-DD HH:MM''
    Specify the end (stop) time for predictions.

-f c|h|i|p|t
    Specify the output format as CSV, HTML, iCalendar, PNG, or text. The default is text. Only calendar and list modes can do HTML; only graph mode can do PNG.

-l ``location name''
    Specify a location for tide predictions.

-m a|b|c|C|g|l|m|p|r|s
    Specify mode to be about, banner, calendar, alt. calendar, graph, list, medium rare, plain, raw, or stats. The default is plain.

-o ``filename''
    Redirect output to the specified file (appends).

-s ``HH:MM''
    Specify the step interval, in hours and minutes, for raw or medium rare mode predictions. The default is one hour.

-v  Print version string and exit.

SEE ALSO
xtide(1), xttpd(8), http://www.flaterco.com/xtide/.